select
  an.numero as Numero_Animal
  , an.nome as Nome_Animal
  , pro.descricao as Protocolo_Hormonal
  , pi.dtimplante as Data_Implante
  , pi.dtretirada as Data_Retirada
  , pro.observacao as OBS_Potocolo
  , rep1.numero as reprodutor1
  , rep2.numero as reprodutor2
  , rep3.numero as reprodutor3
from animal an
  join programacaoiatfassociacao pia on pia.cdprogramacaoiatfassociacao =
    (select first 1 re.cdprogramacaoiatfassociacao from programacaoiatfassociacao re
      join programacaoiatf rea on re.cdprogramacaoiatf = rea.cdprogramacaoiatf
      where re.cdanimal = an.cdanimal
      order by rea.dtimplante desc)
  join protocoloiatf pro on pro.cdprotocoloiatf = pia.cdprotocoloiatf
  join programacaoiatf pi on pi.cdprogramacaoiatf = pia.cdprogramacaoiatf
  left join recomendacao rec on rec.cdrecomendacao =
    (select first 1 re.cdrecomendacao from recomendacao re where re.cdanimal = an.cdanimal
      order by re.data desc)
  left join animal rep1 on rep1.cdanimal = rec.cdreprodutor1
  left join animal rep2 on rep2.cdanimal = rec.cdreprodutor2
  left join animal rep3 on rep3.cdanimal = rec.cdreprodutor3
order by an.numordenado